<?php


namespace Yeepay\Yop\Sdk\Service\Aggpay\Model;

use Yeepay\Yop\Sdk\Model\BaseResponse;

class TutelagePrePayResponse extends BaseResponse
{
    /**
     * @var TutelagePrePayWrapPrePayOrderResponseDTOResult
     */
    private $result;

    function getResultClass()
    {
        return '\Yeepay\Yop\Sdk\Service\Aggpay\Model\TutelagePrePayWrapPrePayOrderResponseDTOResult';
    }

    /**
     * @param TutelagePrePayWrapPrePayOrderResponseDTOResult $result
     */
    function setResult($result)
    {
        $this->result = $result;
    }

    /**
     * @return TutelagePrePayWrapPrePayOrderResponseDTOResult
     */
    function getResult()
    {
        return $this->result;
    }
}
